> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get History by ID

> Retrieves a history record by its ID.



## OpenAPI

````yaml /openapi/openapi_audit_logs.json get /history/{historyId}
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Audit Logs Web API
  title: Audit Logs Web
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /history/{historyId}:
    get:
      tags:
        - History
      summary: Get History by ID
      description: Retrieves a history record by its ID.
      parameters:
        - description: The ID of the history record.
          in: path
          name: historyId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/History'
            text/json:
              schema:
                $ref: '#/components/schemas/History'
            text/plain:
              schema:
                $ref: '#/components/schemas/History'
          description: OK
components:
  schemas:
    History:
      properties:
        action:
          nullable: true
          type: string
        appKey:
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        entityId:
          nullable: true
          type: string
        entityType:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
        initiatingAppId:
          nullable: true
          type: string
        ipAddress:
          nullable: true
          type: string
        objectName:
          nullable: true
          type: string
        siteId:
          format: int32
          nullable: true
          type: integer
        tenantId:
          format: int32
          nullable: true
          type: integer
        timestamp:
          format: date-time
          type: string
        userId:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````